Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030436
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2015-07-27 15:222015-11-23 21:17
ReporterNaroaIriarteView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision3e0eac2ae26a
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030436: The "Description" column appears empty when adding it in a Saved view

DescriptionIn the product window, if a view is saved adding the column "Description", and after that, this view is loaded, the "Description" column appears, but it appears empty.
Steps To Reproduce1-Log in as F&B Admin. The professional insatnce must be activated.
2-Go to "Product" window.
3-Do right click on the grid header and go to "Columns".
4-Select the "Description" column to be displayed.
5-Click the "Save view" icon.
6-In the "Level" dropdown,select "Client".
7-In the "Value" dropdown let "F&B International Group" and save it.
8-Click on the "Save view" icon and select "Standard view".
9-Refresh by pushing F5.
10-Now the standard view without the "Description" column must be shown.
11-Click on the "Save view" icon and select the previously saved view.
12-Relize that the "Description" column is shown but it is empty.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030393 acknowledgedplatform The saved views do not work properly at "Role" level 
related to defect 0030392 acknowledgedplatform The saved views do not work properly at "User" level. 
related to defect 0030572 acknowledgedplatform The standard view does not work fine when saving a view changing the colspan of a field. 
related to defect 0030576 acknowledgedplatform Saving a view changing the width a column of a child tab does not work properly 
related to defect 0030655 acknowledgedplatform Save a view hidding columns and after that switching to Standard View does not work properly 
related to feature request 00244033.0MP29 closedAugustoMauch When the grid calls the datasource, it should not retrieve the properties that are not shown in the grid. 
related to defect 0030656 acknowledgedplatform Hiding a column in a child tab, saving that view and after that switching to the standard view does not work properly. 

-  Notes
(0081799)
hgbot (developer)
2015-11-13 08:20

Repository: erp/devel/pi
Changeset: 3e0eac2ae26afd6680b7eef6c8db32086211149b
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Nov 12 17:03:51 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3e0eac2ae26afd6680b7eef6c8db32086211149b [^]

fixes issue 30436: Some columns appear empty when adding them in a saved view

The problem happened when adding a field with a saved view which by defaul is not displayed in the grid. In that case the values for that field are not present in the client side and is necessary to perform a request to the datasource.

To solve the problem a new method has been included for OBViewGrid, viewHasFieldsNotInGrid, which checks if every field added by the saved view is already displayed in the grid. If not then we invalidate the cache to force a request to the datasource through the refreshContents() function.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-manage-views.js
---
(0081872)
alostale (developer)
2015-11-16 13:07

code reviewed

tested:
-it works as expected
-no extra requests are performed when applying saved view
(0081874)
hgbot (developer)
2015-11-16 13:19

Repository: erp/devel/pi
Changeset: 02c4bcfb4afae26936a309ef70a5183909f8b27d
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Nov 16 13:18:49 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/02c4bcfb4afae26936a309ef70a5183909f8b27d [^]

related to issue 30436: added missing js beautify

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0082221)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082232)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-07-27 15:22 NaroaIriarte New Issue
2015-07-27 15:22 NaroaIriarte Assigned To => platform
2015-07-27 15:22 NaroaIriarte Modules => Core
2015-07-27 15:22 NaroaIriarte Triggers an Emergency Pack => No
2015-07-27 15:30 NaroaIriarte Relationship added related to 0030393
2015-07-27 15:31 NaroaIriarte Relationship added related to 0030392
2015-07-28 08:23 alostale Priority normal => urgent
2015-07-28 08:23 alostale Severity minor => major
2015-07-28 08:23 alostale Target Version => 3.0PR15Q4
2015-07-28 08:23 alostale Description Updated View Revisions
2015-07-28 08:23 alostale Status new => acknowledged
2015-08-24 15:56 NaroaIriarte Relationship added related to 0030572
2015-08-24 15:56 NaroaIriarte Relationship added related to 0030576
2015-08-24 15:57 NaroaIriarte Relationship added related to 0030655
2015-08-24 16:22 NaroaIriarte Relationship added related to 0030656
2015-09-29 12:29 alostale Target Version 3.0PR15Q4 => 3.0PR16Q1
2015-11-12 09:50 caristu Assigned To platform => caristu
2015-11-12 09:50 caristu Status acknowledged => scheduled
2015-11-12 10:14 caristu Relationship added related to 0024403
2015-11-13 08:19 caristu Review Assigned To => alostale
2015-11-13 08:19 caristu Issue Monitored: alostale
2015-11-13 08:20 hgbot Checkin
2015-11-13 08:20 hgbot Note Added: 0081799
2015-11-13 08:20 hgbot Status scheduled => resolved
2015-11-13 08:20 hgbot Resolution open => fixed
2015-11-13 08:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3e0eac2ae26afd6680b7eef6c8db32086211149b [^]
2015-11-16 13:07 alostale Note Added: 0081872
2015-11-16 13:07 alostale Status resolved => closed
2015-11-16 13:07 alostale Fixed in Version => 3.0PR16Q1
2015-11-16 13:19 hgbot Checkin
2015-11-16 13:19 hgbot Note Added: 0081874
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082221
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082232


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker